Loading...
Searching...
No Matches
pappso::cbor::psm::MzIdentMlReader::MzidPeptideEvidence Struct Reference

## Public Attributes

ProteinSp | protein
PeptideSp | peptide
std::size_t | start
std::size_t | end
bool | isDecoy

## Detailed Description

Definition at line 151 of file mzidentmlreader.h.

## Member Data Documentation

## end

std::size_t pappso::cbor::psm::MzIdentMlReader::MzidPeptideEvidence::end

Definition at line 156 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::readPeptideEvidence().

## isDecoy

bool pappso::cbor::psm::MzIdentMlReader::MzidPeptideEvidence::isDecoy

Definition at line 157 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::readPeptideEvidence().

## peptide

PeptideSp pappso::cbor::psm::MzIdentMlReader::MzidPeptideEvidence::peptide

Definition at line 154 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::readPeptideEvidence().

## protein

ProteinSp pappso::cbor::psm::MzIdentMlReader::MzidPeptideEvidence::protein

Definition at line 153 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::readPeptideEvidence().

## start

std::size_t pappso::cbor::psm::MzIdentMlReader::MzidPeptideEvidence::start

Definition at line 155 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::readPeptideEvidence().

The documentation for this struct was generated from the following file:

- pappsomspp/core/processing/cbor/psm/mzidentml/mzidentmlreader.h